Qwt User's Guide: QwtPlotSpectrogram Class Reference

Qwt User's Guide 6.0.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Member Functions

# QwtPlotSpectrogram Class Reference

A plot item, which displays a spectrogram. More...

`#include <qwt_plot_spectrogram.h>`

Inheritance diagram for QwtPlotSpectrogram:
[legend]

List of all members.

## Public Types
enum | CachePolicy { NoCache, PaintCache }
enum | DisplayMode { ImageMode = 0x01, ContourMode = 0x02 }
typedef QFlags< DisplayMode > | DisplayModes
enum | ItemAttribute { Legend = 0x01, AutoScale = 0x02 }
typedef QFlags< ItemAttribute > | ItemAttributes
enum | PaintAttribute { PaintInDeviceResolution = 1 }
typedef QFlags< PaintAttribute > | PaintAttributes
enum | RenderHint { RenderAntialiased = 1 }
typedef QFlags< RenderHint > | RenderHints
enum | RttiValues { Rtti_PlotItem = 0, Rtti_PlotGrid, Rtti_PlotScale, Rtti_PlotMarker, Rtti_PlotCurve, Rtti_PlotSpectroCurve, Rtti_PlotIntervalCurve, Rtti_PlotHistogram, Rtti_PlotSpectrogram, Rtti_PlotSVG, Rtti_PlotUserItem = 1000 }
## Public Member Functions
int | alpha () const
void | attach (QwtPlot *plot)
virtual QRectF | boundingRect () const
CachePolicy | cachePolicy () const
const QwtColorMap * | colorMap () const
QList< double > | contourLevels () const
virtual QPen | contourPen (double level) const
const QwtRasterData * | data () const
QwtRasterData * | data ()
QPen | defaultContourPen () const
void | detach ()
virtual void | draw (QPainter *p, const QwtScaleMap &xMap, const QwtScaleMap &yMap, const QRectF &rect) const
virtual void | drawLegendIdentifier (QPainter *, const QRectF &) const
void | hide ()
virtual QwtInterval | interval (Qt::Axis) const
void | invalidateCache ()
bool | isVisible () const
virtual void | itemChanged ()
virtual QWidget * | legendItem () const
QRectF | paintRect (const QwtScaleMap &, const QwtScaleMap &) const
virtual QRectF | pixelHint (const QRectF &) const
QwtPlot * | plot () const
| QwtPlotSpectrogram (const QString &title=QString::null)
uint | renderThreadCount () const
virtual int | rtti () const
QRectF | scaleRect (const QwtScaleMap &, const QwtScaleMap &) const
void | setAlpha (int alpha)
void | setAxes (int xAxis, int yAxis)
void | setCachePolicy (CachePolicy)
void | setColorMap (QwtColorMap *)
void | setConrecFlag (QwtRasterData::ConrecFlag, bool on)
void | setContourLevels (const QList< double > &)
void | setData (QwtRasterData *data)
void | setDefaultContourPen (const QPen &)
void | setDisplayMode (DisplayMode, bool on=true)
void | setItemAttribute (ItemAttribute, bool on=true)
void | setPaintAttribute (PaintAttribute, bool on=true)
void | setRenderHint (RenderHint, bool on=true)
void | setRenderThreadCount (uint numThreads)
void | setTitle (const QString &title)
void | setTitle (const QwtText &title)
virtual void | setVisible (bool)
void | setXAxis (int axis)
void | setYAxis (int axis)
void | setZ (double z)
void | show ()
bool | testConrecFlag (QwtRasterData::ConrecFlag) const
bool | testDisplayMode (DisplayMode) const
bool | testItemAttribute (ItemAttribute) const
bool | testPaintAttribute (PaintAttribute) const
bool | testRenderHint (RenderHint) const
const QwtText & | title () const
virtual void | updateLegend (QwtLegend *) const
virtual void | updateScaleDiv (const QwtScaleDiv &, const QwtScaleDiv &)
int | xAxis () const
int | yAxis () const
double | z () const
virtual | ~QwtPlotSpectrogram ()
## Protected Member Functions
virtual QSize | contourRasterSize (const QRectF &, const QRect &) const
virtual void | drawContourLines (QPainter *p, const QwtScaleMap &xMap, const QwtScaleMap &yMap, const QwtRasterData::ContourLines &lines) const
virtual QwtScaleMap | imageMap (Qt::Orientation, const QwtScaleMap &map, const QRectF &area, const QSize &imageSize, double pixelSize) const
virtual QwtRasterData::ContourLines | renderContourLines (const QRectF &rect, const QSize &raster) const
virtual QImage | renderImage (const QwtScaleMap &xMap, const QwtScaleMap &yMap, const QRectF &area, const QSize &imageSize) const
void | renderTile (const QwtScaleMap &xMap, const QwtScaleMap &yMap, const QRect &imageRect, QImage *image) const

## Detailed Description

A plot item, which displays a spectrogram.

A spectrogram displays threedimenional data, where the 3rd dimension ( the intensity ) is displayed using colors. The colors are calculated from the values using a color map.

In ContourMode contour lines are painted for the contour levels.

See also:
  QwtRasterData, QwtColorMap

## Member Typedef Documentation

typedef QFlags<DisplayMode> QwtPlotSpectrogram::DisplayModes

Display modes.

typedef QFlags<ItemAttribute> QwtPlotItem::ItemAttributes`[inherited]`

Plot Item Attributes.

typedef QFlags<PaintAttribute> QwtPlotRasterItem::PaintAttributes`[inherited]`

Paint attributes.

typedef QFlags<RenderHint> QwtPlotItem::RenderHints`[inherited]`

Render hints.

## Member Enumeration Documentation

enum QwtPlotRasterItem::CachePolicy`[inherited]`

- NoCache
  renderImage() is called, whenever the item has to be repainted
- PaintCache
  renderImage() is called, whenever the image cache is not valid, or the scales, or the size of the canvas has changed. This type of cache is only useful for improving the performance of hide/show operations. All other situations are already handled by the plot canvas cache.

The default policy is NoCache

enum QwtPlotSpectrogram::DisplayMode

The display mode controls how the raster data will be represented.

See also:
  setDisplayMode(), testDisplayMode()

Enumerator:

  ImageMode | The values are mapped to colors using a color map.
  ContourMode | The data is displayed using contour lines.

enum QwtPlotItem::ItemAttribute`[inherited]`

Plot Item Attributes

See also:
  setItemAttribute(), testItemAttribute()

Enumerator:

  Legend | The item is represented on the legend.
  AutoScale | The boundingRect() of the item is included in the autoscaling calculation.

enum QwtPlotRasterItem::PaintAttribute`[inherited]`

Attributes to modify the drawing algorithm.

See also:
  setPaintAttribute(), testPaintAttribute()

Enumerator:

  PaintInDeviceResolution | When the image is rendered according to the data pixels ( QwtRasterData::pixelHint() ) it can be expanded to paint device resolution before it is passed to QPainter. The expansion algorithm rounds the pixel borders in the same way as the axis ticks, what is usually better than the scaling algorithm implemented in Qt. Disabling this flag might make sense, to reduce the size of a document/file. If this is possible for a document format depends on the implementation of the specific QPaintEngine.

enum QwtPlotItem::RenderHint`[inherited]`

Render hints.

Enumerator:

  RenderAntialiased | Enable antialiasing.

enum QwtPlotItem::RttiValues`[inherited]`

Runtime type information.

RttiValues is used to cast plot items, without having to enable runtime type information of the compiler.

## Constructor & Destructor Documentation

QwtPlotSpectrogram::QwtPlotSpectrogram | ( | const QString & | title = `QString::null` | ) | `[explicit]`

Sets the following item attributes:

- QwtPlotItem::AutoScale: true
- QwtPlotItem::Legend: false

The z value is initialized by 8.0.

Parameters:

  title | Title

See also:
  QwtPlotItem::setItemAttribute(), QwtPlotItem::setZ()

QwtPlotSpectrogram::~QwtPlotSpectrogram | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

int QwtPlotRasterItem::alpha | ( |  | ) | const`[inherited]`

Returns:
  Alpha value of the raster item

See also:
  setAlpha()

void QwtPlotItem::attach | ( | QwtPlot * | plot | ) | `[inherited]`

Attach the item to a plot.

This method will attach a QwtPlotItem to the QwtPlot argument. It will first detach the QwtPlotItem from any plot from a previous call to attach (if necessary). If a NULL argument is passed, it will detach from any QwtPlot it was attached to.

Parameters:

  plot | Plot widget

See also:
  detach()

QRectF QwtPlotRasterItem::boundingRect | ( |  | ) | const`[virtual, inherited]`

Returns:
  Bounding rect of the data

See also:
  QwtPlotRasterItem::interval()

Reimplemented from QwtPlotItem.

QwtPlotRasterItem::CachePolicy QwtPlotRasterItem::cachePolicy | ( |  | ) | const`[inherited]`

Returns:
  Cache policy

See also:
  CachePolicy, setCachePolicy()

const QwtColorMap * QwtPlotSpectrogram::colorMap | ( |  | ) | const

Returns:
  Color Map used for mapping the intensity values to colors

See also:
  setColorMap()

QList< double > QwtPlotSpectrogram::contourLevels | ( |  | ) | const

Return the levels of the contour lines.

The levels are sorted in increasing order.

See also:
  contourLevels(), renderContourLines(), QwtRasterData::contourLines()

QPen QwtPlotSpectrogram::contourPen | ( | double | level | ) | const`[virtual]`

Calculate the pen for a contour line.

The color of the pen is the color for level calculated by the color map

Parameters:

  level | Contour level

Returns:
  Pen for the contour line

Note:
  contourPen is only used if defaultContourPen().style() == Qt::NoPen

See also:
  setDefaultContourPen(), setColorMap(), setContourLevels()

QSize QwtPlotSpectrogram::contourRasterSize | ( | const QRectF & | area,
|  | const QRect & | rect
| ) |  | const`[protected, virtual]`

Return the raster to be used by the CONREC contour algorithm.

A larger size will improve the precisision of the CONREC algorithm, but will slow down the time that is needed to calculate the lines.

The default implementation returns rect.size() / 2 bounded to the resolution depending on pixelSize().

Parameters:

  area | Rect, where to calculate the contour lines
  rect | Rect in pixel coordinates, where to paint the contour lines

Returns:
  Raster to be used by the CONREC contour algorithm.

Note:
  The size will be bounded to rect.size().

See also:
  drawContourLines(), QwtRasterData::contourLines()

const QwtRasterData * QwtPlotSpectrogram::data | ( |  | ) | const

Returns:
  Spectrogram data

See also:
  setData()

QwtRasterData * QwtPlotSpectrogram::data | ( |  | ) |

Returns:
  Spectrogram data

See also:
  setData()

QPen QwtPlotSpectrogram::defaultContourPen | ( |  | ) | const

Returns:
  Default contour pen

See also:
  setDefaultContourPen()

void QwtPlotItem::detach | ( |  | ) | `[inherited]`

This method detaches a QwtPlotItem from any QwtPlot it has been associated with.

detach() is equivalent to calling attach( NULL )

See also:
  attach()

void QwtPlotSpectrogram::draw | ( | QPainter * | painter,
|  | const QwtScaleMap & | xMap,
|  | const QwtScaleMap & | yMap,
|  | const QRectF & | canvasRect
| ) |  | const`[virtual]`

Draw the spectrogram.

Parameters:

  painter | Painter
  xMap | Maps x-values into pixel coordinates.
  yMap | Maps y-values into pixel coordinates.
  canvasRect | Contents rect of the canvas in painter coordinates

See also:
  setDisplayMode(), renderImage(), QwtPlotRasterItem::draw(), drawContourLines()

Reimplemented from QwtPlotRasterItem.

void QwtPlotSpectrogram::drawContourLines | ( | QPainter * | painter,
|  | const QwtScaleMap & | xMap,
|  | const QwtScaleMap & | yMap,
|  | const QwtRasterData::ContourLines & | contourLines
| ) |  | const`[protected, virtual]`

Paint the contour lines

Parameters:

  painter | Painter
  xMap | Maps x-values into pixel coordinates.
  yMap | Maps y-values into pixel coordinates.
  contourLines | Contour lines

See also:
  renderContourLines(), defaultContourPen(), contourPen()

virtual void QwtLegendItemManager::drawLegendIdentifier | ( | QPainter * | ,
|  | const QRectF & |
| ) |  | const`[inline, virtual, inherited]`

QwtLegendItem can display an icon-identifier followed by a text. The icon helps to identify a plot item on the plot canvas and depends on the type of information, that is displayed.

The default implementation paints nothing.

Reimplemented in QwtPlotCurve, QwtPlotHistogram, QwtPlotIntervalCurve, and QwtPlotMarker.

void QwtPlotItem::hide | ( |  | ) | `[inherited]`

Hide the item.

QwtScaleMap QwtPlotRasterItem::imageMap | ( | Qt::Orientation | orientation,
|  | const QwtScaleMap & | map,
|  | const QRectF & | area,
|  | const QSize & | imageSize,
|  | double | pixelSize
| ) |  | const`[protected, virtual, inherited]`

Calculate a scale map for painting to an image.

Parameters:

  orientation | Orientation, Qt::Horizontal means a X axis
  map | Scale map for rendering the plot item
  area | Area to be painted on the image
  imageSize | Image size
  pixelSize | Width/Height of a data pixel

QwtInterval QwtPlotSpectrogram::interval | ( | Qt::Axis | axis | ) | const`[virtual]`

Returns:
  Bounding interval for an axis

The default implementation returns the interval of the associated raster data object.

Parameters:

  axis | X, Y, or Z axis

See also:
  QwtRasterData::interval()

Reimplemented from QwtPlotRasterItem.

void QwtPlotRasterItem::invalidateCache | ( |  | ) | `[inherited]`

Invalidate the paint cache

See also:
  setCachePolicy()

bool QwtPlotItem::isVisible | ( |  | ) | const`[inherited]`

Returns:
  true if visible

See also:
  setVisible(), show(), hide()

void QwtPlotItem::itemChanged | ( |  | ) | `[virtual, inherited]`

Update the legend and call QwtPlot::autoRefresh for the parent plot.

See also:
  updateLegend()

QWidget * QwtPlotItem::legendItem | ( |  | ) | const`[virtual, inherited]`

Allocate the widget that represents the item on the legend.

The default implementation returns a QwtLegendItem(), but an item could be represented by any type of widget, by overloading legendItem() and updateLegend().

Returns:
  QwtLegendItem()

See also:
  updateLegend() QwtLegend()

Implements QwtLegendItemManager.

QRectF QwtPlotItem::paintRect | ( | const QwtScaleMap & | xMap,
|  | const QwtScaleMap & | yMap
| ) |  | const`[inherited]`

Calculate the bounding paint rect of 2 maps.

Parameters:

  xMap | X map
  yMap | X map

Returns:
  Bounding paint rect of the scale maps, normalized

QRectF QwtPlotSpectrogram::pixelHint | ( | const QRectF & | area | ) | const`[virtual]`

Pixel hint.

The geometry of a pixel is used to calculated the resolution and alignment of the rendered image.

The default implementation returns data()->pixelHint( rect );

Parameters:

  area | In most implementations the resolution of the data doesn't depend on the requested area.

Returns:
  Bounding rectangle of a pixel

See also:
  QwtPlotRasterItem::pixelHint(), QwtRasterData::pixelHint(), render(), renderImage()

Reimplemented from QwtPlotRasterItem.

QwtPlot * QwtPlotItem::plot | ( |  | ) | const`[inherited]`

Return attached plot.

QwtRasterData::ContourLines QwtPlotSpectrogram::renderContourLines | ( | const QRectF & | rect,
|  | const QSize & | raster
| ) |  | const`[protected, virtual]`

Calculate contour lines

Parameters:

  rect | Rectangle, where to calculate the contour lines
  raster | Raster, used by the CONREC algorithm

See also:
  contourLevels(), setConrecFlag(), QwtRasterData::contourLines()

QImage QwtPlotSpectrogram::renderImage | ( | const QwtScaleMap & | xMap,
|  | const QwtScaleMap & | yMap,
|  | const QRectF & | area,
|  | const QSize & | imageSize
| ) |  | const`[protected, virtual]`

Render an image from data and color map.

For each pixel of rect the value is mapped into a color.

Parameters:

  xMap | X-Scale Map
  yMap | Y-Scale Map
  area | Requested area for the image in scale coordinates
  imageSize | Size of the requested image

Returns:
  A QImage::Format_Indexed8 or QImage::Format_ARGB32 depending on the color map.

See also:
  QwtRasterData::value(), QwtColorMap::rgb(), QwtColorMap::colorIndex()

Implements QwtPlotRasterItem.

uint QwtPlotSpectrogram::renderThreadCount | ( |  | ) | const

Returns:
  Number of threads to be used for rendering. If numThreads is set to 0, the system specific ideal thread count is used.

Warning:
  Rendering in multiple threads is only supported for Qt >= 4.4

See also:
  setRenderThreadCount(), renderImage(), renderTile()

void QwtPlotSpectrogram::renderTile | ( | const QwtScaleMap & | xMap,
|  | const QwtScaleMap & | yMap,
|  | const QRect & | tile,
|  | QImage * | image
| ) |  | const`[protected]`

Render a tile of an image.

Rendering in tiles can be used to composite an image in parallel threads.

Parameters:

  xMap | X-Scale Map
  yMap | Y-Scale Map
  tile | Geometry of the tile in image coordinates
  image | Image to be rendered

int QwtPlotSpectrogram::rtti | ( |  | ) | const`[virtual]`

Returns:
  QwtPlotItem::Rtti_PlotSpectrogram

Reimplemented from QwtPlotItem.

QRectF QwtPlotItem::scaleRect | ( | const QwtScaleMap & | xMap,
|  | const QwtScaleMap & | yMap
| ) |  | const`[inherited]`

Calculate the bounding scale rect of 2 maps.

Parameters:

  xMap | X map
  yMap | X map

Returns:
  Bounding scale rect of the scale maps, normalized

void QwtPlotRasterItem::setAlpha | ( | int | alpha | ) | `[inherited]`

Set an alpha value for the raster data.

Often a plot has several types of raster data organized in layers. ( f.e a geographical map, with weather statistics ). Using setAlpha() raster items can be stacked easily.

The alpha value is a value [0, 255] to control the transparency of the image. 0 represents a fully transparent color, while 255 represents a fully opaque color.

Parameters:

  alpha | Alpha value

- alpha >= 0
  All alpha values of the pixels returned by renderImage() will be set to alpha, beside those with an alpha value of 0 (invalid pixels).
- alpha < 0 The alpha values returned by renderImage() are not changed.

The default alpha value is -1.

See also:
  alpha()

void QwtPlotItem::setAxes | ( | int | xAxis,
|  | int | yAxis
| ) |  | `[inherited]`

Set X and Y axis

The item will painted according to the coordinates its Axes.

Parameters:

  xAxis | X Axis
  yAxis | Y Axis

See also:
  setXAxis(), setYAxis(), xAxis(), yAxis()

void QwtPlotRasterItem::setCachePolicy | ( | QwtPlotRasterItem::CachePolicy | policy | ) | `[inherited]`

Change the cache policy

The default policy is NoCache

Parameters:

  policy | Cache policy

See also:
  CachePolicy, cachePolicy()

void QwtPlotSpectrogram::setColorMap | ( | QwtColorMap * | colorMap | ) |

Change the color map

Often it is useful to display the mapping between intensities and colors as an additional plot axis, showing a color bar.

Parameters:

  colorMap | Color Map

See also:
  colorMap(), QwtScaleWidget::setColorBarEnabled(), QwtScaleWidget::setColorMap()

void QwtPlotSpectrogram::setConrecFlag | ( | QwtRasterData::ConrecFlag | flag,
|  | bool | on
| ) |  |

Modify an attribute of the CONREC algorithm, used to calculate the contour lines.

Parameters:

  flag | CONREC flag
  on | On/Off

See also:
  testConrecFlag(), renderContourLines(), QwtRasterData::contourLines()

void QwtPlotSpectrogram::setContourLevels | ( | const QList< double > & | levels | ) |

Set the levels of the contour lines

Parameters:

  levels | Values of the contour levels

See also:
  contourLevels(), renderContourLines(), QwtRasterData::contourLines()

Note:
  contourLevels returns the same levels but sorted.

void QwtPlotSpectrogram::setData | ( | QwtRasterData * | data | ) |

Set the data to be displayed

Parameters:

  data | Spectrogram Data

See also:
  data()

void QwtPlotSpectrogram::setDefaultContourPen | ( | const QPen & | pen | ) |

Set the default pen for the contour lines.

If the spectrogram has a valid default contour pen a contour line is painted using the default contour pen. Otherwise (pen.style() == Qt::NoPen) the pen is calculated for each contour level using contourPen().

See also:
  defaultContourPen(), contourPen()

void QwtPlotSpectrogram::setDisplayMode | ( | DisplayMode | mode,
|  | bool | on = `true`
| ) |  |

The display mode controls how the raster data will be represented.

Parameters:

  mode | Display mode
  on | On/Off

The default setting enables ImageMode.

See also:
  DisplayMode, displayMode()

void QwtPlotItem::setItemAttribute | ( | ItemAttribute | attribute,
|  | bool | on = `true`
| ) |  | `[inherited]`

Toggle an item attribute

Parameters:

  attribute | Attribute type
  on | true/false

See also:
  testItemAttribute(), ItemAttribute

void QwtPlotRasterItem::setPaintAttribute | ( | PaintAttribute | attribute,
|  | bool | on = `true`
| ) |  | `[inherited]`

Specify an attribute how to draw the raster item

Parameters:

  attribute | Paint attribute
  on | On/Off /sa PaintAttribute, testPaintAttribute()

void QwtPlotItem::setRenderHint | ( | RenderHint | hint,
|  | bool | on = `true`
| ) |  | `[inherited]`

Toggle an render hint

Parameters:

  hint | Render hint
  on | true/false

See also:
  testRenderHint(), RenderHint

void QwtPlotSpectrogram::setRenderThreadCount | ( | uint | numThreads | ) |

Rendering an image from the raster data can often be done parallel on a multicore system.

Parameters:

  numThreads | Number of threads to be used for rendering. If numThreads is set to 0, the system specific ideal thread count is used.

The default thread count is 1 ( = no additional threads )

Warning:
  Rendering in multiple threads is only supported for Qt >= 4.4

See also:
  renderThreadCount(), renderImage(), renderTile()

void QwtPlotItem::setTitle | ( | const QwtText & | title | ) | `[inherited]`

Set a new title

Parameters:

  title | Title

See also:
  title()

void QwtPlotItem::setTitle | ( | const QString & | title | ) | `[inherited]`

Set a new title

Parameters:

  title | Title

See also:
  title()

void QwtPlotItem::setVisible | ( | bool | on | ) | `[virtual, inherited]`

Show/Hide the item

Parameters:

  on | Show if true, otherwise hide

See also:
  isVisible(), show(), hide()

void QwtPlotItem::setXAxis | ( | int | axis | ) | `[inherited]`

Set the X axis

The item will painted according to the coordinates its Axes.

Parameters:

  axis | X Axis

See also:
  setAxes(), setYAxis(), xAxis()

void QwtPlotItem::setYAxis | ( | int | axis | ) | `[inherited]`

Set the Y axis

The item will painted according to the coordinates its Axes.

Parameters:

  axis | Y Axis

See also:
  setAxes(), setXAxis(), yAxis()

void QwtPlotItem::setZ | ( | double | z | ) | `[inherited]`

Set the z value.

Plot items are painted in increasing z-order.

Parameters:

  z | Z-value

See also:
  z(), QwtPlotDict::itemList()

void QwtPlotItem::show | ( |  | ) | `[inherited]`

Show the item.

bool QwtPlotSpectrogram::testConrecFlag | ( | QwtRasterData::ConrecFlag | flag | ) | const

Test an attribute of the CONREC algorithm, used to calculate the contour lines.

Parameters:

  flag | CONREC flag

Returns:
  true, is enabled

See also:
  setConrecClag(), renderContourLines(), QwtRasterData::contourLines()

bool QwtPlotSpectrogram::testDisplayMode | ( | DisplayMode | mode | ) | const

The display mode controls how the raster data will be represented.

Parameters:

  mode | Display mode

Returns:
  true if mode is enabled

bool QwtPlotItem::testItemAttribute | ( | ItemAttribute | attribute | ) | const`[inherited]`

Test an item attribute

Parameters:

  attribute | Attribute type

Returns:
  true/false

See also:
  setItemAttribute(), ItemAttribute

bool QwtPlotRasterItem::testPaintAttribute | ( | PaintAttribute | attribute | ) | const`[inherited]`

Return the current paint attributes.

See also:
  PaintAttribute, setPaintAttribute()

bool QwtPlotItem::testRenderHint | ( | RenderHint | hint | ) | const`[inherited]`

Test a render hint

Parameters:

  hint | Render hint

Returns:
  true/false

See also:
  setRenderHint(), RenderHint

const QwtText & QwtPlotItem::title | ( |  | ) | const`[inherited]`

Returns:
  Title of the item

See also:
  setTitle()

void QwtPlotItem::updateLegend | ( | QwtLegend * | legend | ) | const`[virtual, inherited]`

Update the widget that represents the item on the legend.

updateLegend() is called from itemChanged() to adopt the widget representing the item on the legend to its new configuration.

The default implementation updates a QwtLegendItem(), but an item could be represented by any type of widget, by overloading legendItem() and updateLegend().

Parameters:

  legend | Legend

See also:
  legendItem(), itemChanged(), QwtLegend()

Implements QwtLegendItemManager.

Reimplemented in QwtPlotCurve, and QwtPlotMarker.

void QwtPlotItem::updateScaleDiv | ( | const QwtScaleDiv & | xScaleDiv,
|  | const QwtScaleDiv & | yScaleDiv
| ) |  | `[virtual, inherited]`

Update the item to changes of the axes scale division.

Update the item, when the axes of plot have changed. The default implementation does nothing, but items that depend on the scale division (like QwtPlotGrid()) have to reimplement updateScaleDiv()

Parameters:

  xScaleDiv | Scale division of the x-axis
  yScaleDiv | Scale division of the y-axis

See also:
  QwtPlot::updateAxes()

Reimplemented in QwtPlotGrid, QwtPlotScaleItem, QwtPlotSeriesItem< T >, QwtPlotSeriesItem< QwtIntervalSample >, QwtPlotSeriesItem< QPointF >, and QwtPlotSeriesItem< QwtPoint3D >.

int QwtPlotItem::xAxis | ( |  | ) | const`[inherited]`

Return xAxis.

int QwtPlotItem::yAxis | ( |  | ) | const`[inherited]`

Return yAxis.

double QwtPlotItem::z | ( |  | ) | const`[inherited]`

Plot items are painted in increasing z-order.

Returns:
  setZ(), QwtPlotDict::itemList()